Package org.eclipse.jgit.util

## Class FS.Attributes

- java.lang.Object
- - org.eclipse.jgit.util.FS.Attributes

Enclosing class:
  FS

    public static class FS.Attributes
    extends Object

File attributes we typically care for.

Since:
  3.3

### Field Summary

Fields
`protected long` `length` file length

### Constructor Summary

Constructors
`Attributes​(File path, FS fs)` Constructor when there are issues with reading

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getCreationTime()`
`File` `getFile()`
`long` `getLastModifiedTime()`
`long` `getLength()`
`String` `getName()`
`boolean` `isDirectory()`
`boolean` `isExecutable()`
`boolean` `isRegularFile()`
`boolean` `isSymbolicLink()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### length

    protected long length

file length

### Constructor Detail

#### Attributes

    public Attributes​(File path,
                      FS fs)

Constructor when there are issues with reading

Parameters:
  `fs` -
  `path` -

### Method Detail

#### isDirectory

    public boolean isDirectory()

Returns:
  true if this are the attributes of a directory

#### isExecutable

    public boolean isExecutable()

Returns:
  true if this are the attributes of an executable file

#### isSymbolicLink

    public boolean isSymbolicLink()

Returns:
  true if this are the attributes of a symbolic link

#### isRegularFile

    public boolean isRegularFile()

Returns:
  true if this are the attributes of a regular file

#### getCreationTime

    public long getCreationTime()

Returns:
  the time when the file was created

#### getLastModifiedTime

    public long getLastModifiedTime()

Returns:
  the time (milliseconds since 1970-01-01) when this object was last modified

#### getLength

    public long getLength()

Returns:
  length of this file object

#### getName

    public String getName()

Returns:
  the filename

#### getFile

    public File getFile()

Returns:
  the file the attributes apply to